Trust Centers
Add Trust Center control
Adds a control to a Trust Center.
POST
/
trust-centers
/
{slugId}
/
controls
Add Trust Center control
curl --request POST \
--url https://api.vanta.com/v1/trust-centers/{slugId}/controls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"controlId": "<string>",
"categoryIds": [
"<string>"
]
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/controls"
payload = {
"controlId": "<string>",
"categoryIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({controlId: '<string>', categoryIds: ['<string>']})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"name": "Control name",
"description": "Control description",
"categories": [
{
"id": "93d69894dd525f806d7e5c48",
"name": "Category name"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Ok
Unique identifier for the control.
The name of the control, usually a summary of the description.
The description of the control.
The Trust Center control categories that the control belongs to.
Show child attributes
Show child attributes
Was this page helpful?
Previous
Bulk add tags to Trust Center controlsAdds tags to multiple controls on a Trust Center. Limited to 100 controls per request.
Next
⌘I
Add Trust Center control
